# All files apt-env.ts

75% Statements 6/8
33.33% Branches 1/3
100% Functions 1/1
75% Lines 6/8

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22

    8x
    8x

    8x

    8x

    8x

    8x

     /**
     * Get the environment variables to use for the apt command
     * @param apt The apt command to use
     * @private Used internally
     */

    export function getAptEnv(apt: string) {
      const env: NodeJS.ProcessEnv = { ...process.env, DEBIAN_FRONTEND: "noninteractive" }

      if (apt === "nala") {
        // if LANG/LC_ALL is not set, enable utf8 otherwise nala fails because of ASCII encoding
        Iif (env.LANG === undefined) {
          env.LANG = "C.UTF-8"
        }
        Iif (env.LC_ALL === undefined) {
          env.LC_ALL = "C.UTF-8"
        }
      }

      return env
    }